class Intranet::GlobalPessoafisica < Intranet::IntranetRecord
  self.table_name = 'global_pessoafisica'

  has_many :global_orgaos, :class_name => 'GlobalOrgao'
  belongs_to :cidade_nascimento, :class_name => 'GlobalCidade', :foreign_key => :nascimentoCidade_id
  belongs_to :global_endereco, :class_name => 'GlobalEndereco', :foreign_key => :endereco_id
  belongs_to :admin_user, :class_name => 'AdminUser', :foreign_key => :user_login
  belongs_to :cidade_titulo, :class_name => 'GlobalCidade', :foreign_key => :tituloEleitorCidade_id
  belongs_to :estado_rg, :class_name => 'GlobalEstado', :foreign_key => :rgOrgaoExpedidorUF_sigla
  belongs_to :global_prepessoafisica, :class_name => 'GlobalPrepessoafisica', foreign_key: :cpf, primary_key: :cpf

  has_many :global_pessoafisica_contasbancarias, :class_name => 'GlobalPessoafisicaContasbancaria'
  has_many :global_pessoafisica_contatos, :class_name => 'GlobalPessoafisicaContato', foreign_key: :pessoaFisica_id
  has_many :global_contatos, through: :global_pessoafisica_contatos
  
  has_one :tjpi_vinculado, :class_name => 'TjpiVinculado', foreign_key: :pessoaFisica_id
  has_many :tjpi_vinculos, through: :tjpi_vinculado, source: :tjpi_vinculo_principal
end
