class Intranet::TjpiPrevinculado < Intranet::IntranetRecord
  self.table_name = 'tjpi_previnculado'

  has_many :tjpi_predependentes, :class_name => 'TjpiPredependente', foreign_key: :titular_id
  belongs_to :tjpi_tipoatualizacaocadastral, :class_name => 'TjpiTipoatualizacaocadastral', :foreign_key => :tipoAtualizacaoAtual_id
  belongs_to :tjpi_vinculo, :class_name => 'TjpiVinculo', :foreign_key => :vinculoPrincipal_id
  belongs_to :tjpi_vinculado, :class_name => 'TjpiVinculado', :foreign_key => :vinculado_id
  belongs_to :global_prepessoafisica, :class_name => 'GlobalPrepessoafisica', :foreign_key => :prePessoaFisica_id
  has_many :tjpi_previnculado_manifestacoes, :class_name => 'TjpiPrevinculadoManifestaco'
  has_many :tjpi_previnculadopendencia, :class_name => 'TjpiPrevinculadopendencium'
  has_many :tjpi_previnculadopendencia, :class_name => 'TjpiPrevinculadopendencium'
  has_many :tjpi_vinculados, :class_name => 'TjpiVinculado'
  has_many :tjpi_vinculos, :class_name => 'TjpiVinculo'
  
  has_many :tjpi_previnculado_declaracoes, class_name: 'TjpiPrevinculadoDeclaracao', foreign_key: :preVinculado_id
  belongs_to :tjpi_previnculadointervencao_ultima, class_name: 'TjpiPrevinculadointervencao', foreign_key: :intervencao_id
  belongs_to :tjpi_previnculadointervencao_anterior, class_name: 'TjpiPrevinculadointervencao', foreign_key: :anterior_id
  has_many :tjpi_previnculadointervencoes, class_name: 'TjpiPrevinculadointervencao', foreign_key: :preVinculado_id
end
