class Intranet::TjpiVinculo < Intranet::IntranetRecord
  self.table_name = 'tjpi_vinculo'

  has_many :concursos_remocao_inscricaos, :class_name => 'ConcursosRemocaoInscricao'
  has_many :ferias_ferias, :class_name => 'FeriasFeria'
  has_many :ferias_temps, :class_name => 'FeriasTemp'
  has_many :sistema_acessosistemas, :class_name => 'SistemaAcessosistema'
  has_many :sistema_usuarios, :class_name => 'SistemaUsuario'
  has_many :tjpi_exerciciofuncaos, :class_name => 'TjpiExerciciofuncao', :foreign_key => :vinculo_id
  has_many :tjpi_exerciciolotacaos, :class_name => 'TjpiExerciciolotacao'
  has_many :tjpi_gestorexcepcionals, :class_name => 'TjpiGestorexcepcional'
  has_many :tjpi_progressaocarreiras, :class_name => 'TjpiProgressaocarreira'
  has_many :tjpi_vinculados, :class_name => 'TjpiVinculado'
  belongs_to :tjpi_cargo, :class_name => 'TjpiCargo', :foreign_key => :cargo_id
  belongs_to :tjpi_terceirizacao_contrato, :class_name => 'TjpiTerceirizacaoContrato', :foreign_key => :contratoTerceirizacao_id
  belongs_to :tjpi_areaestagio, :class_name => 'TjpiAreaestagio', :foreign_key => :areaEstagio_id
  belongs_to :tjpi_categoriavinculoconfig, :class_name => 'TjpiCategoriavinculoconfig', :foreign_key => :categoria
  belongs_to :global_estado, :class_name => 'GlobalEstado', :foreign_key => :seccionalOAB_sigla
  belongs_to :tjpi_terceirizacao_postodetrabalho, :class_name => 'TjpiTerceirizacaoPostodetrabalho', :foreign_key => :postoDeTrabalho_id
  belongs_to :tjpi_contratocargotemporario, :class_name => 'TjpiContratocargotemporario', :foreign_key => :contrato_id
  belongs_to :global_orgao_instituicao, :class_name => 'GlobalOrgao', :foreign_key => :instituicaoDeEnsino_id
  belongs_to :tjpi_nivelreferencium, :class_name => 'TjpiNivelreferencium', :foreign_key => :nivelReferenciaAtual_id
  belongs_to :tjpi_vinculo, :class_name => 'TjpiVinculo', :foreign_key => :vinculoOrigem_id
  belongs_to :tjpi_vinculado, :class_name => 'TjpiVinculado', :foreign_key => :vinculado_id
  has_one :tjpi_vinculado_principal, :class_name => 'TjpiVinculado', :foreign_key => :vinculoPrincipal_id
  belongs_to :global_orgao_atual, :class_name => 'GlobalOrgao', :foreign_key => :lotacaoAtual_id
  belongs_to :global_orgao_origem, :class_name => 'GlobalOrgao', :foreign_key => :orgaoOrigem_id
  belongs_to :global_cidade, :class_name => 'GlobalCidade', :foreign_key => :vagaOrigem_id
  has_many :tjpi_vinculo_documentos, :class_name => 'TjpiVinculoDocumento', :foreign_key => :vinculo_id
  belongs_to :global_unidadeorganizacional, :class_name => 'GlobalUnidadeorganizacional', :foreign_key => :lotacaoAtual_id
  belongs_to :orgao_origem_cargo, :class_name => 'GlobalOrgao', :foreign_key => :origemCargo_id
  belongs_to :instituidor, class_name: 'GlobalPrepessoafisica', foreign_key: :instituidor_id
  belongs_to :procurador, class_name: 'GlobalPrepessoafisica', foreign_key: :procurador_id
  belongs_to :conta_bancaria, class_name: 'GlobalContabancaria', foreign_key: :contaBancaria_id

  has_many :tjpi_previnculados, class_name: 'TjpiPrevinculado', foreign_key: :vinculoPrincipal_id
  belongs_to :tjpi_previnculado, class_name: 'TjpiPrevinculado', foreign_key: :cadastro_id
  
  has_many :tjpi_contrachequeagrupados, class_name: "TjpiContrachequeagrupado", foreign_key: :matricula, primary_key: :matricula
  has_many :tjpi_contrachequelegados, class_name: "TjpiContrachequelegado", foreign_key: :matricula, primary_key: :matricula
end
